
QGIS Application - Bug report #19873

crash in layer properties 

2018-09-18 12:47 AM - Julio Postigo

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27697

Description

User Feedback

It crashes when I try to work on the symbology in the Layer Properties

Report Details

Crash ID: 964e7c8626758205d4d5e9a4c16ac7b243197aab

Stack Trace

QgsVectorLayerFeatureIterator::prepareJoin :

QgsVectorLayerFeatureIterator::prepareFields :

QgsVectorLayerFeatureIterator::QgsVectorLayerFeatureIterator :

QgsVectorLayer::getFeatures :

QgsCachedFeatureWriterIterator::QgsCachedFeatureWriterIterator :

QgsVectorLayerCache::getFeatures :

QgsAttributeTableModel::prefetchSortData :

QgsFeatureListModel::setDisplayExpression :

QgsFeatureListView::setDisplayExpression :

QgsDualView::columnBoxInit :

QgsDualView::init :

QgsAttributeTableDialog::QgsAttributeTableDialog :

QgisApp::attributeTable :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

2025-04-26 1/3



qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-09-18 02:26 AM - Jürgen Fischer

- Subject changed from Crash to crash in layer properties 

- Description updated

#2 - 2018-09-18 02:26 AM - Jürgen Fischer

- File deleted (Crash report.docx)

#3 - 2018-09-20 01:05 PM - Alessandro Pasotti

Can you share a project and data to reproduce this issue?

#4 - 2018-09-20 01:05 PM - Alessandro Pasotti

- Status changed from Open to Feedback
#5 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-11 04:17 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
